cURL
curl --request POST \ --url https://api.example.com/next_light_client_block \ --header 'Content-Type: application/json' \ --data ' { "params": { "last_block_hash": "<string>" }, "id": "dontcare", "jsonrpc": "2.0" } '
{ "result": { "approvals_after_next": [ "<string>" ], "inner_lite": { "block_merkle_root": "<string>", "epoch_id": "<string>", "height": 1, "next_bp_hash": "<string>", "next_epoch_id": "<string>", "outcome_root": "<string>", "prev_state_root": "<string>", "timestamp": 1, "timestamp_nanosec": "<string>" }, "inner_rest_hash": "<string>", "next_block_inner_hash": "<string>", "next_bps": [ { "account_id": "<string>", "public_key": "<string>", "stake": "<string>" } ], "prev_block_hash": "<string>" }, "id": "<string>", "jsonrpc": "<string>" }
Returns the next light client block.
Documentation IndexFetch the complete documentation index at: https://docs.near.org/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.near.org/llms.txt
Use this file to discover all available pages before exploring further.
next_light_client_block
Show child attributes
JSON-RPC request id. Auto-populated; can be any string.
JSON-RPC protocol version. Always 2.0.
2.0
A state for the current head of a light client. More info here.
Was this page helpful?